/*****************************
 * SCSS Defaults and Functions
 ****************************/
/* REM Function */
/* Animation Mixins */
/*****************************
 * Homepage Styles & Variables
 ****************************/
.post-type-archive-event {
  --corps-ff-franklin: franklin-gothic-atf, "Open Sans", Helvetica, Arial, sans-serif;
  --corps-ff-futura: futura-pt, sans-serif;
  --corps-spacing-x: 20px;
  --corps-spacing-y: 28px;
  --corps-gap-x: 20px;
  --corps-gap-y: 20px;
}
@media (min-width: 768px) {
  .post-type-archive-event {
    --corps-spacing-x: 40px;
    --corps-spacing-y: 40px;
    --corps-gap-x: 32px;
    --corps-gap-y: 32px;
  }
}
@media (min-width: 1024px) {
  .post-type-archive-event {
    --corps-spacing-x: 80px;
    --corps-spacing-y: 80px;
    --corps-gap-x: 40px;
    --corps-gap-y: 40px;
  }
}
.post-type-archive-event .a11y-visible {
  clip: rect(0 0 0 0);
  clip-path: inset(50%);
  height: 1px;
  overflow: hidden;
  position: absolute !important;
  white-space: nowrap;
  width: 1px;
}
.post-type-archive-event .a11y-visible:focus-visible {
  clip: auto;
  clip-path: none;
  height: auto;
  overflow: visible;
  position: relative;
  white-space: normal;
  width: auto;
}
@media (min-width: 1024px) {
  .post-type-archive-event #archive-content {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
        -ms-flex-direction: column;
            flex-direction: column;
  }
}
@media (min-width: 1440px) {
  .post-type-archive-event #archive-content {
    -webkit-box-orient: horizontal;
    -webkit-box-direction: normal;
        -ms-flex-direction: row;
            flex-direction: row;
    gap: var(--corps-spacing-x);
  }
}
.post-type-archive-event #archive-content #primary {
  border: 0;
  padding-inline: 0;
  width: 100%;
}

.archive-listing.event {
  background: #E9EBF2;
  border-left-color: rgba(79, 45, 127, 0.25);
  border-left-style: solid;
  border-left-width: 0;
  margin: 0 auto var(--corps-spacing-x);
  max-width: calc(100% - 2 * var(--corps-spacing-x));
  padding: 28px;
  -webkit-transition: border-left-color 0.3s ease;
  transition: border-left-color 0.3s ease;
  width: 100%;
}
@media (min-width: 768px) {
  .archive-listing.event {
    border-left-width: 0.25rem;
    padding: 3.75rem;
  }
}
@media (min-width: 1024px) {
  .archive-listing.event {
    margin-bottom: 2.5rem;
    max-width: calc(100% - 120px);
  }
}
@media (min-width: 1440px) {
  .archive-listing.event {
    margin-right: 0;
    max-width: calc(100% - var(--corps-spacing-x));
  }
}
.archive-listing.event:hover, .archive-listing.event:focus-within {
  border-left-color: rgba(79, 45, 127, 0.65);
}
.archive-listing.event .event-content {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
      -ms-flex-direction: column;
          flex-direction: column;
  gap: 12px;
}
@media (min-width: 768px) {
  .archive-listing.event .event-content {
    gap: 1.25rem;
  }
}
.archive-listing.event .entry-title {
  color: var(--tarleton-purple, #4F2D7F);
  font-family: var(--corps-ff-futura);
  font-size: 18px;
  font-weight: 600;
  line-height: 26px;
  margin: 0;
}
@media (min-width: 768px) {
  .archive-listing.event .entry-title {
    font-size: 1.75rem;
    line-height: 2.25rem;
  }
}
.archive-listing.event .event-datetime,
.archive-listing.event .event-location {
  color: var(--tarleton-black, #000000);
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
      -ms-flex-direction: column;
          flex-direction: column;
  font-family: var(--corps-ff-futura);
  font-size: 16px;
  font-weight: 600;
  gap: 4px;
  line-height: 24px;
}
@media (min-width: 768px) {
  .archive-listing.event .event-datetime,
  .archive-listing.event .event-location {
    -webkit-box-orient: horizontal;
    -webkit-box-direction: normal;
        -ms-flex-direction: row;
            flex-direction: row;
    font-size: 1.125rem;
    gap: 1.75rem;
    line-height: 1.625rem;
  }
}
.archive-listing.event .event-datetime span,
.archive-listing.event .event-location span {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
  gap: 8px;
}
.archive-listing.event .event-datetime span.event-location-meta,
.archive-listing.event .event-location span.event-location-meta {
  -webkit-box-align: start;
      -ms-flex-align: start;
          align-items: flex-start;
  margin-top: 4px;
}
@media (min-width: 768px) {
  .archive-listing.event .event-datetime span.event-location-meta,
  .archive-listing.event .event-location span.event-location-meta {
    -webkit-box-align: center;
        -ms-flex-align: center;
            align-items: center;
    margin-top: 0.5rem;
  }
}
.archive-listing.event .event-datetime svg,
.archive-listing.event .event-location svg {
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-pack: center;
      -ms-flex-pack: center;
          justify-content: center;
  min-height: 24px;
  min-width: 24px;
  padding: 3px;
}
@media (min-width: 768px) {
  .archive-listing.event .event-datetime svg,
  .archive-listing.event .event-location svg {
    min-height: 1.625rem;
    min-width: 1.625rem;
  }
}
.archive-listing.event .entry-excerpt p {
  color: var(--tarleton-black, #000);
  display: -webkit-box;
  font-family: var(--corps-ff-franklin);
  font-size: 16px;
  font-weight: 400;
  line-height: 22px;
  overflow: hidden;
  text-overflow: ellipsis;
  -webkit-line-clamp: 3;
  -webkit-box-orient: vertical;
}
@media (min-width: 768px) {
  .archive-listing.event .entry-excerpt p {
    font-size: 1.125rem;
    line-height: 1.625rem;
  }
}
.archive-listing.event .event-button a {
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
  color: var(--tarleton-purple, #4f2d7f);
  display: -webkit-inline-box;
  display: -ms-inline-flexbox;
  display: inline-flex;
  font-family: var(--corps-ff-futura);
  font-size: 18px;
  font-weight: 600;
  gap: 4px;
  line-height: 26px;
  padding: 0;
  text-decoration: none;
  -webkit-transition: all 0.3s ease;
  transition: all 0.3s ease;
}
.archive-listing.event .event-button a:hover, .archive-listing.event .event-button a:focus-visible {
  text-decoration: none;
}
.archive-listing.event .event-button a:hover .btn-text, .archive-listing.event .event-button a:focus-visible .btn-text {
  background-size: 100% 1px;
}
.archive-listing.event .event-button a .btn-text {
  background: -webkit-gradient(linear, left top, left bottom, from(var(--tarleton-dark-purple)), to(var(--tarleton-dark-purple))) left bottom no-repeat;
  background: linear-gradient(var(--tarleton-dark-purple), var(--tarleton-dark-purple)) left bottom no-repeat;
  background-size: 0% 1px;
  position: relative;
  -webkit-transition: background-size 0.3s ease;
  transition: background-size 0.3s ease;
  -webkit-box-decoration-break: clone;
  box-decoration-break: clone;
}
@media (min-width: 768px) {
  .archive-listing.event .event-button a {
    font-size: 1.25rem;
    line-height: 1.625rem;
  }
}
.archive-listing.event .event-button a:hover, .archive-listing.event .event-button a:focus {
  color: var(--tarleton-dark-purple, #260E47);
  text-decoration: none;
}
.archive-listing.event .event-button a:hover svg path, .archive-listing.event .event-button a:focus svg path {
  fill: var(--tarleton-dark-purple, #260E47);
}
.archive-listing.event .event-button a .btn-icon {
  display: -webkit-inline-box;
  display: -ms-inline-flexbox;
  display: inline-flex;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
  -webkit-box-pack: center;
      -ms-flex-pack: center;
          justify-content: center;
  -webkit-transition: all 0.3s ease;
  transition: all 0.3s ease;
}
.archive-listing.event .event-button a:hover, .archive-listing.event .event-button a:focus {
  gap: 8px;
}